:root {
  --background-color: #fff;
  --font-color: #000;
  --link-color: #007bff;
  --highlight-color: green;
  --border-color: #000;
  --button-border-color: #0085ca;
  --button-background-color: #fff;
  --button-hover-background-color: #f2f2f2;
  --input-border-color: #0085ca;
  --select-border-color: #0085ca;
  --label-color: #fff;
  --modal-background-color: rgba(0, 0, 0, 0.9);
  --modal-input-border-color: #333;
  --modal-content-background-color: #fefefe;
  --close-button-color: #aaa;
  --close-button-hover-color: black;
  --form-input-font-size: 16px;
  --form-input-padding: 4px;
  --form-input-margin-bottom: 10px;
  --form-input-background-color: #fff;
  --form-input-border: none;
  --button-font-size: 16px;
  --button-padding: 4px 10px;
}
.close {
  color: #fff;
}
.close:hover {
  color: #ccc;
}
.custommodal {
  display: none;
  position: fixed;
  z-index: 12;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
  backdrop-filter: blur(1px); /* Blur effect */
}
.modal-body table thead {
  background-color: #dbdbdb;
  font-weight: bold;
  color: #000000;
  height: 30px;
}
.modal-body table thead tr th {
  background: #f2f2f2;
}
.modal-body table thead tr td:first-child {
  padding-left: 4px;
}
.modal-body table tbody tr:first-child td {
  padding-top: 10px !important;
}
.modal-body table thead tr td:nth-child(2) {
  padding-left: 4px;
}
.modal-header {
  font-size: 1.2em;
  display: flex;
  align-items: center; /* Vertically centers the text */
  height: 30px;
  padding: 4px 10px 4px 10px;
  border-top-left-radius: 5px; /* Add border-radius to top-left corner */
  border-top-right-radius: 5px; /* Add border-radius to top-right corner */
  background: rgb(27, 26, 76);
  border-bottom: 1px solid #ccc;
  color: #fff;
}
.modal-content {
  background-color: var(--modal-content-background-color);
  margin: auto;
  margin-top: 150px;
  padding: 0;
  border: 1px solid #cccccc;
  width: 600px;
  position: relative;
  color: #333;
  border-radius: 5px;
}
.modal-body {
  padding: 20px 10px 60px 10px;
  scrollbar-width: none;
  height: 391px;
  overflow-y: scroll;
}
.modal-footer {
  position: fixed;
  width: 560px;
  margin-top: -43px;
  margin-left: 20px;
  padding-top: 4px;
  padding-bottom: 4px;
  text-align: center;
}

.modal-footer:empty {
  display: none;
}
.modal-content input {
  border: 1px solid #ccc;
}
.modal-result-box {
  margin-top: -15px;
  text-align: center;
  color: green;
  padding: 20px 0 0 0;
}
